<?php

namespace App\Models;

class User extends Eloquent {

	protected $table = 'users';
	public $timestamps = true;

	public function ads()
	{
		return $this->hasMany('Avertisment');
	}

	public function review()
	{
		return $this->hasOne('Review');
	}

	public function followers()
	{
		return $this->hasMany('Follower', 'follower_id');
	}

	public function favorites()
	{
		return $this->hasMany('App\Models\Favorite');
	}

}